Fibo Lite · Structured Prompt
Integra
bria/fibo-lite/generate/structured_prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate/structured_prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-lite/generate/structured_prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-lite/generate/structured_prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/mt/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-lite/generate/structured_prompt",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Ċempel il-mudell Fibo Lite · Structured Prompt (bria/fibo-lite/generate/structured_prompt) permezz tad-Doitong API. Dokumentazzjoni għall-aġenti: https://doitong.com/mt/developers/models/bria/fibo-lite/generate/structured_prompt.md
POST https://api.doitong.com/v1/run/bria/fibo-lite/generate/structured_prompt?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Jekk l-istatus tar-rispons huwa "queued" jew "running", agħmel polling fuq GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 sakemm ikun "succeeded"; il-fajls jinsabu f’outputs[].url. POST https://api.doitong.com/v1/quote/bria/fibo-lite/generate/structured_prompt bl-istess body jirritorna l-prezz eżatt qabel it-tħaddim.
Din it-talba: $0.008 8 krediti tal-API Ħaddmu f’din il-paġna
Iċ-ċavetta API l-ġdida tiegħek. Jintwera biss issa u diġà jinsab fil-kodiċi u fil-qasam taċ-ċavetta API hawn taħt. Żommu sigriet: qatt tpoġġih f’kodiċi li jaħdem f’browser.
L-ewwel riżultat tiegħek jidher hawn
Ibni talba hawn taħt u ħaddimha biċ-ċavetta API tiegħek. L-outputs jiġu kkupjati fil-ħażna tagħna, miżmuma għal dejjem jew 7 ijiem b’xejn.
Ibni talba
Il-kontrolli jiġu ġġenerati mill-iskema tal-mudell. Il-kodiċi u l-prezz jaġġornaw hekk kif tibdilhom.
/run/bria/fibo-lite/generate/structured_prompt?wait=20
kwotazzjoni → $0.008
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-lite/generate/structured_prompt?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-lite/generate/structured_prompt?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-lite/generate/structured_prompt", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-lite/generate/structured_prompt",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Ħaddem din it-talba
Iċ-ċavetta tiegħek tibqa’ f’dan il-browser: tintbagħat biss lid-Doitong API u tiġi ssejvjata (localStorage) biss jekk timmarka Ftakar. Ikseb ċavetta API
Dwar Fibo Lite · Structured Prompt
Jirritorna deskrizzjoni strutturata għall-użu ma’ Fibo Lite minflok immaġni. L-inputs huma `prompt`, `structured_prompt` eżistenti jew `image_url`, flimkien ma’ `seed`. L-output JSON ikopri l-estetika, l-istil artistiku, l-issettjar tal-isfond, id-dawl, l-oġġetti, il-karatteristiċi fotografiċi, l-emozzjonijiet tas-suġġett u t-testijiet irrenderti.
Parametri
Ibgħat jew l-isem kanoniku jew l-isem nattiv, mhux it-tnejn. Ismijiet kanoniċi
promptmhux obbligatorju
structured_promptmhux obbligatorju
structured_prompt.short_descriptionmeħtieġ
structured_prompt.objectsmeħtieġ
structured_prompt.objects[].descriptionmeħtieġ
structured_prompt.objects[].locationmeħtieġ
structured_prompt.objects[].relationshipmeħtieġ
structured_prompt.objects[].relative_sizemhux obbligatorju
structured_prompt.objects[].shape_and_colormhux obbligatorju
structured_prompt.objects[].texturemhux obbligatorju
structured_prompt.objects[].appearance_detailsmhux obbligatorju
structured_prompt.objects[].number_of_objectsmhux obbligatorju
structured_prompt.objects[].posemhux obbligatorju
structured_prompt.objects[].expressionmhux obbligatorju
structured_prompt.objects[].clothingmhux obbligatorju
structured_prompt.objects[].actionmhux obbligatorju
structured_prompt.objects[].gendermhux obbligatorju
structured_prompt.objects[].skin_tone_and_texturemhux obbligatorju
structured_prompt.objects[].orientationmhux obbligatorju
structured_prompt.background_settingmeħtieġ
structured_prompt.lightingmeħtieġ
structured_prompt.lighting.conditionsmeħtieġ
structured_prompt.lighting.directionmeħtieġ
structured_prompt.lighting.shadowsmhux obbligatorju
structured_prompt.aestheticsmeħtieġ
structured_prompt.aesthetics.compositionmeħtieġ
structured_prompt.aesthetics.color_schememeħtieġ
structured_prompt.aesthetics.mood_atmospheremeħtieġ
structured_prompt.aesthetics.aesthetic_scoremeħtieġ
structured_prompt.aesthetics.preference_scoremeħtieġ
structured_prompt.photographic_characteristicsmhux obbligatorju
structured_prompt.photographic_characteristics.depth_of_fieldmeħtieġ
structured_prompt.photographic_characteristics.focusmeħtieġ
structured_prompt.photographic_characteristics.camera_anglemeħtieġ
structured_prompt.photographic_characteristics.lens_focal_lengthmeħtieġ
structured_prompt.style_mediummhux obbligatorju
structured_prompt.text_rendermhux obbligatorju
structured_prompt.text_render[].textmeħtieġ
structured_prompt.text_render[].locationmeħtieġ
structured_prompt.text_render[].sizemeħtieġ
structured_prompt.text_render[].colormeħtieġ
structured_prompt.text_render[].fontmeħtieġ
structured_prompt.text_render[].appearance_detailsmhux obbligatorju
structured_prompt.contextmeħtieġ
structured_prompt.artistic_stylemeħtieġ
structured_prompt.subject_emotionsmhux obbligatorju
image_urlmhux obbligatorju
image
seedmhux obbligatorju
Il-parametri tal-fajls jaċċettaw URL pubbliku https://, URI data: sa 10 MB, jew file_url ta’ upload. Fajls
Output
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-lite/generate/structured_prompt",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 8,
"usd": "0.008",
"charged": 8,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"short_description": "string",
"objects": [
{
"description": "string",
"location": "string",
"relationship": "string",
"relative_size": "string",
"shape_and_color": "string",
"texture": "string",
"appearance_details": "string",
"number_of_objects": 1,
"pose": "string",
"expression": "string",
"clothing": "string",
"action": "string",
"gender": "string",
"skin_tone_and_texture": "string",
"orientation": "string"
}
],
"background_setting": "string",
"lighting": {
"conditions": "string",
"direction": "string",
"shadows": "string"
},
"aesthetics": {
"composition": "string",
"color_scheme": "string",
"mood_atmosphere": "string",
"aesthetic_score": "string",
"preference_score": "string"
},
"photographic_characteristics": {
"depth_of_field": "string",
"focus": "string",
"camera_angle": "string",
"lens_focal_length": "string"
},
"style_medium": "string",
"text_render": [
{
"text": "string",
"location": "string",
"size": "string",
"color": "string",
"font": "string",
"appearance_details": "string"
}
],
"context": "string",
"artistic_style": "string",
"subject_emotions": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Oqsma tal-output
- short_description
- stringĦarsa ġenerali qasira lejn il-kontenut tal-immaġni, limitata għal 200 kelma.
- objects
- array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation}Lista ta’ oġġetti notevoli fit-tagħrif miksub jew fin-nofs tax-xena.
- background_setting
- stringDeskrizzjoni tax-xena kollha: fejn isseħħ, l-inħawi jew l-isfond tagħha, u kwalunkwe karatteristika fl-isfond li ta’ min jinnotaha.
- lighting
- object {conditions, direction, shadows}Informazzjoni li tiddeskrivi d-dawl.
- aesthetics
- object {composition, color_scheme, mood_atmosphere, aesthetic_score, preference_score}Informazzjoni li tiddeskrivi l-estetika tal-immaġni.
- photographic_characteristics
- object {depth_of_field, focus, camera_angle, lens_focal_length} | nullInformazzjoni li tiddeskrivi l-kwalitajiet fotografiċi.
- style_medium
- string | nullMezz jew stil artistiku użat.
- text_render
- array of object {text, location, size, color, font, appearance_details} | nullLista ta’ elementi tat-test murija fl-immaġni.
- context
- stringKuntest addizzjonali biex jgħin fl-interpretazzjoni tal-immaġni.
- artistic_style
- stringKaratteristiċi artistiċi speċifiċi, espressi f’mhux aktar minn 3 kelmiet.
- subject_emotions
- string | nullDeskrizzjoni espliċita tal-espressjonijiet jew l-emozzjonijiet viżibbli tas-suġġetti.
Varjanti oħra ta’ Fibo Lite
Aktar mudelli: LLM
Għall-aġenti tal-AI: din il-paġna bħala Markdown tinsab fuq https://doitong.com/mt/developers/models/bria/fibo-lite/generate/structured_prompt.md. Il-mudelli u l-gwidi kollha: https://doitong.com/developers/llms.txt